import { ApiClient, BugSplatResponse } from '../../common/index';
import { CrashDetails, PostNotesResponse } from '../index';
import { CrashStatus } from '../crash-details/crash-details';
export declare class CrashApiClient {
    private _client;
    constructor(_client: ApiClient);
    getCrashById(database: string, crashId: number): Promise<CrashDetails>;
    reprocessCrash(database: string, crashId: number, force?: boolean, processor?: string): Promise<SuccessResponse>;
    reprocessCrashes(database: string, crashIds: Array<number>, force?: boolean, processor?: string): Promise<SuccessResponse>;
    postNotes(database: string, id: number, notes: string): Promise<BugSplatResponse<PostNotesResponse>>;
    postStatus(database: string, groupId: number, status: CrashStatus): Promise<SuccessResponse>;
}
type SuccessResponse = {
    status: 'success';
};
export {};
